<?php

namespace App\Http\Controllers;

use App\Repositories\ReportRepository;
use Illuminate\Http\Request;

class ReportController extends Controller
{
    private $request;
    private $repo;

    /**
     * Instantiate a new controller instance
     * @return void
     */
    public function __construct(
        Request $request,
        ReportRepository $repo
    ) {
        $this->request  = $request;
        $this->repo     = $repo;

        $this->middleware(['permission:access-daybook-report'])->only(['daybook']);
        $this->middleware(['permission:access-tax-report'])->only(['tax']);
    }

    /**
     * Get daybook report
     * @get ("/api/reports/daybook")
     */
    public function daybook()
    {
        return $this->ok($this->repo->daybook());
    }

    /**
     * Get daybook report
     * @get ("/api/reports/tax")
     */
    public function tax()
    {
        return $this->ok($this->repo->tax());
    }
}
