<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Http\Requests\TagRequest;
use App\Repositories\TagRepository;

class TagController extends Controller
{
    protected $repo;

    /**
     * Instantiate a new controller instance
     * @return void
     */
    public function __construct(
        TagRepository $repo
    ) {
        $this->repo = $repo;
    }

    /**
     * Search tags
     * @get ("/api/tags")
     * @return array
     */
    public function search()
    {
        return $this->repo->search();
    }

    /**
     * Update tags
     * @post ("/api/tags")
     * @param ({
     *      @Parameter("name", type="string", required="true", description="Name of the module"),
     * })
     * @return array
     */
    public function update(TagRequest $request)
    {
        $this->repo->update();

        return $this->success(['message' => __('global.updated', ['attribute' => __('general.tag')])]);
    }
}
