<?php

namespace App\Http\Middleware;

use App\Enums\VoucherType;
use Closure;

class Voucher
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $voucher = $request->route('voucher');

        $types = array(
            'procurements'       => VoucherType::PROCUREMENT,
            'purchase-enquiries' => VoucherType::PURCHASE_ENQUIRY,
            'purchase-orders'    => VoucherType::PURCHASE_ORDER,
            'purchases'          => VoucherType::PURCHASE,
            'purchase-returns'   => VoucherType::PURCHASE_RETURN,
            'sale-enquiries'     => VoucherType::SALE_ENQUIRY,
            'quotations'         => VoucherType::QUOTATION,
            'sales'              => VoucherType::SALE,
            'sale-returns'       => VoucherType::SALE_RETURN,
            'challans'           => VoucherType::CHALLAN
        );

        if (! in_array($voucher, collect($types)->keys()->all())) {
            return response()->json(['message' => __('voucher.invalid_voucher')], 422);
        }

        $request->merge(['type' => $types[$voucher]]);

        return $next($request);
    }
}
