<?php

namespace App\Http\Requests\Accounting;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class LedgerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('ledger');

        return [
            'name' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('ledgers')->ignore($uuid),
            ),
            'alias' => array(
                'nullable',
                'max:50',
                'min:2',
                Rule::unique('ledgers')->ignore($uuid),
            ),
            'ledger_type' => 'required|array',
            'opening_balance_taxed' => 'numeric',
            'opening_balance_non_taxed' => 'numeric'
        ];
    }
}
