<?php

namespace App\Http\Requests\Accounting;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class LedgerTypeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('ledger_type');

        return [
            'name' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('ledger_types')->ignore($uuid),
            ),
            'alias' => array(
                'nullable',
                'max:100',
                'min:2',
                Rule::unique('ledger_types')->ignore($uuid),
            ),
            'parent' => 'array|required'
        ];
    }

    /**
     * Translate fields with user friendly name.
     *
     * @return array
     */
    public function attributes()
    {
        return [
            'name' => __('accounting.ledger_type.props.name'),
            'alias' => __('accounting.ledger_type.props.alias'),
            'parent' => __('accounting.ledger_type.props.parent'),
        ];
    }
}
