<?php

namespace App\Http\Requests\Inventory;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ItemCategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('item_category');

        return [
            'name' => array(
                'required',
                'max:100',
                'min:2',
                Rule::unique('item_categories')->ignore($uuid),
            ),
            'alias' => array(
                'nullable',
                'max:100',
                'min:2',
                Rule::unique('item_categories')->ignore($uuid),
            ),
            'type' => 'required|array',
            'reorder_level' => 'integer|min:0',
            'price_calculation_method' => 'required|array',
            'variants' => 'array',
            'variants.*.name' => 'required|distinct',
            'variants.*.type' => 'required|array',
        ];
    }
}
