<?php

namespace App\Http\Requests\Inventory;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ItemRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('item');

        return [
            'name' => array(
                'required',
                'max:100',
                'min:2',
                Rule::unique('items')->ignore($uuid),
            ),
            'alias' => array(
                'nullable',
                'max:100',
                'min:2',
                Rule::unique('items')->ignore($uuid),
            ),
            'brand' => 'array',
            'item_category' => 'required|array',
            'identifier' => 'array',
            'unit' => 'array',
            'margin' => 'array',
            'tax' => 'array',
            'opening_quantity_taxed' => 'numeric|min:0',
            'opening_rate_taxed' => 'numeric|min:0',
            'opening_quantity_non_taxed' => 'numeric|min:0',
            'opening_rate_non_taxed' => 'numeric|min:0',
            'mrp' => 'nullable|numeric|min:0',
            'reorder_level' => 'integer|min:0',
            'variants' => 'array',
            'variants.*.options' => 'array'
        ];
    }
}
