<?php

namespace App\Http\Requests\Setting;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class MarginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('margin');

        return [
            'name' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('margins')->ignore($uuid),
            ),
            'details' => 'array|min:1',
            'details.*.min_amount' => 'required|numeric|min:0',
            'details.*.max_amount' => 'required|numeric|min:0|gt:details.*.min_amount',
            'details.*.value' => 'required|numeric|min:0|max:100',
            'details.*.discounts' => 'array'
        ];
    }
}
