<?php

namespace App\Http\Requests\Setting;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class TaxRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('tax');

        return [
            'name' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('taxes')->ignore($uuid),
            ),
            'code' => array(
                'required',
                'max:50',
                'min:2',
                // Rule::unique('taxes')->ignore($uuid),
            ),
            'value' => array(
                'required',
                'numeric',
                'min:0'
            ),
            'details' => 'array',
            'details.*.label' => 'required',
            'details.*.value' => 'required|numeric|min:0|max:100',
        ];
    }
}
