<?php

namespace App\Http\Requests\Setting;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UnitRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $uuid = $this->route('unit');

        return [
            'name' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('units')->ignore($uuid),
            ),
            'code' => array(
                'required',
                'max:50',
                'min:2',
                Rule::unique('units')->ignore($uuid),
            ),
            'decimal_point' => array(
                'required',
                'integer',
                'min:0',
                'max:5'
            )
        ];
    }
}
