<?php

namespace App\Http\Resources\Accounting;

use App\Helpers\CalHelper;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class Account extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
           'uuid'           => $this->uuid,
           'name'           => $this->name,
           'alias'          => $this->alias,
           'account_number' => Arr::get($this->bank_details, 'number'),
           'bank_name'      => Arr::get($this->bank_details, 'bank_name'),
           'branch_name'    => Arr::get($this->bank_details, 'branch_name'),
           'bank_code1'     => Arr::get($this->bank_details, 'bank_code1'),
           'bank_code2'     => Arr::get($this->bank_details, 'bank_code2'),
           'bank_code3'     => Arr::get($this->bank_details, 'bank_code3'),
           'created_at'     => CalHelper::toDateTime($this->created_at),
           'updated_at'     => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
