<?php

namespace App\Http\Resources\Accounting;

use App\Helpers\ArrHelper;
use App\Helpers\CalHelper;
use App\Http\Resources\Accounting\VoucherSummary;
use App\Http\Resources\UserSummary;
use Illuminate\Http\Resources\Json\JsonResource;

class FollowUp extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
           'uuid'       => $this->uuid,
           'voucher'    => new VoucherSummary($this->whenLoaded('voucher')),
           'status'     => $this->status ? ArrHelper::searchByKey(ArrHelper::getTransList('statuses', 'enquiry'), 'uuid', $this->status) : null,
           'date'       => CalHelper::toDate($this->date),
           'next_date'  => CalHelper::toDate($this->next_date),
           'remarks'    => $this->remarks,
           'user'       => new UserSummary($this->whenLoaded('user')),
           'created_at' => CalHelper::toDateTime($this->created_at),
           'updated_at' => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
