<?php

namespace App\Http\Resources\Accounting;

use App\Helpers\CalHelper;
use App\Http\Resources\Config\RoleCollection;
use Illuminate\Http\Resources\Json\JsonResource;

class LedgerType extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $is_default  = (bool) $this->getMeta('is_default');

        return [
           'uuid'        => $this->uuid,
           'name'        => $this->name,
           'alias'       => $this->alias,
           'code'        => $this->ledger_type_code,
           'description' => $this->description,
           'parent'      => new self($this->whenLoaded('parent')),
           'parents'     => $this->ancestorsInfo(),
           'children'    => new self($this->whenLoaded('children')),
           'is_default'  => $is_default,
           'has_account' => $this->has_account,
           'has_contact' => $this->has_contact,
           'roles'       => $this->when($this->whenLoaded('roles'), new RoleCollection($this->roles)),
           // 'meta'            => $this->meta,
           'created_at' => CalHelper::toDateTime($this->created_at),
           'updated_at' => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
