<?php

namespace App\Http\Resources\Accounting;

use App\Helpers\CalHelper;
use App\Helpers\SysHelper;
use App\Http\Resources\TagCollection;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class Transaction extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
           'uuid'         => $this->uuid,
           'type'         => $this->type,
           'code_number'  => $this->code_number,
           'date'         => CalHelper::toDate($this->date),
           'is_non_taxed' => (bool) $this->is_non_taxed,
           'amount'       => SysHelper::formatCurrency($this->amount),
           'ledger'       => new Ledger($this->whenLoaded('ledger')),
           'rows'         => new TransactionDetailCollection($this->whenLoaded('details')),
           'description'  => $this->description,
           'tags'         => new TagCollection($this->tags),
           'meta'         => $this->meta,
           'created_at'   => CalHelper::toDateTime($this->created_at),
           'updated_at'   => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
