<?php

namespace App\Http\Resources\Accounting;

use App\Helpers\CalHelper;
use App\Helpers\SysHelper;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Str;
use Illuminate\Support\Arr;

class TransactionDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
           'uuid'        => Str::uuid(),
           'amount'      => SysHelper::formatCurrency($this->amount),
           'ledger'      => new Ledger($this->whenLoaded('ledger')),
           'description' => $this->description,
           'meta'        => $this->meta,
           'created_at'  => CalHelper::toDateTime($this->created_at),
           'updated_at'  => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
