<?php

namespace App\Http\Resources;

use App\Helpers\ArrHelper;
use App\Helpers\CalHelper;
use App\Http\Resources\Accounting\LedgerCollection;
use App\Http\Resources\Inventory\BrandCollection;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class ContactSummary extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
           'uuid'             => $this->uuid,
           'name'             => $this->name,
           'alias'            => $this->alias,
           'phone'            => $this->phone,
           'ledgers'          => new LedgerCollection($this->whenLoaded('ledgers')),
           'mobile'           => $this->mobile,
           'email'            => $this->email,
           'age'              => CalHelper::getAge($this->birth_date),
           'gender'           => $this->gender ? ArrHelper::searchByKey(ArrHelper::getTransList('genders'), 'uuid', $this->gender) : null,
           'avatar'           => $this->avatar,
           'designation'      => $this->designation,
           'is_primary'       => (bool) $this->is_primary,
           'is_business'      => (bool) $this->getMeta('is_business'),
           'created_at'       => CalHelper::toDateTime($this->created_at),
           'updated_at'       => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
