<?php

namespace App\Http\Resources\Inventory;

use App\Helpers\CalHelper;
use App\Http\Resources\ContactCollection;
use App\Http\Resources\TagCollection;
use Illuminate\Http\Resources\Json\JsonResource;

class Brand extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid'          => $this->uuid,
            'name'          => $this->name,
            'description'   => $this->description,
            'contacts'      => new ContactCollection($this->whenLoaded('contacts')),
            'tags'          => new TagCollection($this->tags),
            'created_at'    => CalHelper::toDateTime($this->created_at),
            'updated_at'    => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
