<?php

namespace App\Http\Resources\Inventory;

use App\Helpers\CalHelper;
use App\Http\Resources\Accounting\LedgerSummary;
use Illuminate\Http\Resources\Json\JsonResource;

class ItemReport extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid' => $this->uuid,
            'balance' => 0,
            'code_number' => $this->voucher->code_number,
            'date' => CalHelper::toDate($this->voucher->date),
            'ledger' => new LedgerSummary($this->whenLoaded('voucher.ledger')),
            'quantity' => (float) $this->quantity,
            'source' => array(
                'uuid' => $this->voucher->type,
                'name' => trans($this->voucher->type.'.'.$this->voucher->type)
            ),
            'voucher_uuid' => $this->voucher->uuid
        ];
    }
}
