<?php

namespace App\Http\Resources\Inventory;

use App\Helpers\CalHelper;
use Illuminate\Http\Resources\Json\JsonResource;

class StockMatchDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid'                      => $this->uuid,
            'item'                      => new Item($this->whenLoaded('item')),
            'actual_quantity_taxed'     => (float) $this->actual_quantity_taxed,
            'actual_quantity_non_taxed' => (float) $this->actual_quantity_non_taxed,
            'billed_quantity_taxed'     => (float) $this->billed_quantity_taxed,
            'billed_quantity_non_taxed' => (float) $this->billed_quantity_non_taxed,
            'description'               => $this->description,
            'created_at'                => CalHelper::toDateTime($this->created_at),
            'updated_at'                => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
