<?php

namespace App\Http\Resources\Inventory;

use App\Helpers\CalHelper;
use App\Http\Resources\UserSummary;
use Illuminate\Http\Resources\Json\JsonResource;

class StockMatchSummary extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid'          => $this->uuid,
            'date'          => CalHelper::toDate($this->date),
            'item_category' => new ItemCategory($this->whenLoaded('itemCategory')),
            'user'          => new UserSummary($this->whenLoaded('user')),
            'description'   => $this->description,
            'created_at'    => CalHelper::toDateTime($this->created_at),
            'updated_at'    => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
