<?php

namespace App\Http\Resources\Setting;

use App\Helpers\CalHelper;
use App\Helpers\SysHelper;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class MarginDetail extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid'       => $this->uuid,
            'margin'     => new Margin($this->whenLoaded('margin')),
            'min_amount' => SysHelper::formatCurrency($this->min_amount),
            'max_amount' => SysHelper::formatCurrency($this->max_amount),
            'value'      => SysHelper::formatPercentage($this->value),
            'discounts'  => $this->getDiscount(),
            'created_at' => CalHelper::toDateTime($this->created_at),
            'updated_at' => CalHelper::toDateTime($this->updated_at)
        ];
    }

    private function getDiscount() : array
    {
        $discounts = array();

        foreach ($this->discounts as $discount) {
            $discounts[] = array('uuid' => Arr::get($discount, 'name'), 'name' => title_case(Arr::get($discount, 'name')), 'value' => Arr::get($discount, 'value'));
        }

        return $discounts;
    }
}
