<?php

namespace App\Http\Resources\Setting;

use App\Helpers\CalHelper;
use App\Helpers\SysHelper;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class Tax extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'uuid'    => $this->uuid,
            'name'    => $this->name,
            'value'   => SysHelper::formatPercentage($this->value),
            'code'    => $this->code,
            'details' => collect($this->details)->transform(function($item) {
                return array(
                    'uuid'  => Arr::get($item, 'label'),
                    'label' => Arr::get($item, 'label'),
                    'value' => Arr::get($item, 'value')
                );
            })->all(),
            'calculate_on_total' => (bool) $this->getMeta('calculate_on_total'),
            'voucher_level_tax'  => (bool) $this->getMeta('voucher_level_tax'),
            'description'        => $this->description,
            'created_at'         => CalHelper::toDateTime($this->created_at),
            'updated_at'         => CalHelper::toDateTime($this->updated_at)
        ];
    }
}
