<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        'App\Models\Config\Config'          => 'App\Policies\ConfigPolicy',
        'App\Models\User'                   => 'App\Policies\Auth\UserPolicy',
        'App\Models\Contact'                => 'App\Policies\ContactPolicy',
        'App\Models\Utility\Todo'           => 'App\Policies\Utility\TodoPolicy',
        'App\Models\Inventory\Brand'        => 'App\Policies\Inventory\BrandPolicy',
        'App\Models\Inventory\ItemCategory' => 'App\Policies\Inventory\ItemCategoryPolicy',
        'App\Models\Inventory\Item'         => 'App\Policies\Inventory\ItemPolicy',
        'App\Models\Inventory\StockMatch'   => 'App\Policies\Inventory\StockMatchPolicy',
        'App\Models\Accounting\Ledger'      => 'App\Policies\Accounting\LedgerPolicy',
        'App\Models\Accounting\Transaction' => 'App\Policies\Accounting\TransactionPolicy',
        'App\Models\Accounting\Voucher'     => 'App\Policies\Accounting\VoucherPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        //
    }
}
