<?php

namespace App\Traits;

use App\Enums\LedgerGroup;

trait LedgerConstraints
{
    /**
     * Get class
     */
    private function getClass($ledger_group, $balance) : string
    {
        if (config('config.ledger.balance_method', 'simple') == 'simple') {
            return $this->getSimpleClass($ledger_group, $balance);
        }

        return $this->getConventionalClass($ledger_group, $balance);
    }

    /**
     * Get simple balance class
     */
    private function getSimpleClass($ledger_group, $balance) : string
    {
        if ($balance == 0) {
            return 'text-muted';
        }

        if ($balance > 0 && in_array($ledger_group, [LedgerGroup::CASH, LedgerGroup::BANK_ACCOUNT, LedgerGroup::SUNDRY_DEBTOR])) {
            return 'text-success';
        } else if ($balance < 0 && in_array($ledger_group, [LedgerGroup::INDIRECT_EXPENSE, LedgerGroup::SUNDRY_CREDITOR])) {
            return 'text-success';
        }

        return 'text-danger';
    }

    /**
     * Get conventional balance class
     */
    private function getConventionalClass($ledger_group, $balance) : string
    {
        if ($balance == 0) {
            return 'text-muted';
        }

        if ($balance > 0) {
            return 'text-success';
        }

        return 'text-danger';
    }
}
