<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompoundUnitsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('compound_units', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('primary_unit_id')->unsigned()->nullable();
            $table->foreign('primary_unit_id')->references('id')->on('units')->onDelete('cascade');

            $table->bigInteger('secondary_unit_id')->unsigned()->nullable();
            $table->foreign('secondary_unit_id')->references('id')->on('units')->onDelete('cascade');

            $table->decimal('value', 25, 5)->default(0);
            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('compound_units', function (Blueprint $table) {
            $table->dropForeign('compound_units_primary_unit_id_foreign');
            $table->dropForeign('compound_units_secondary_unit_id_foreign');
        });

        Schema::dropIfExists('compound_units');
    }
}
