<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMarginDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('margin_details', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('margin_id')->unsigned()->nullable();
            $table->foreign('margin_id')->references('id')->on('margins')->onDelete('cascade');

            $table->decimal('min_amount', 25, 5)->default(0);
            $table->decimal('max_amount', 25, 5)->default(0);
            $table->decimal('value', 25, 5)->default(0);
            $table->json('discounts')->nullable();

            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('margin_details', function (Blueprint $table) {
            $table->dropForeign('margin_details_margin_id_foreign');
        });
        
        Schema::dropIfExists('margin_details');
    }
}
