<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBrandItemCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('brand_item_category', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('brand_id')->unsigned()->nullable();
            $table->foreign('brand_id')->references('id')->on('brands')->onDelete('cascade');
            $table->bigInteger('item_category_id')->unsigned()->nullable();
            $table->foreign('item_category_id')->references('id')->on('item_categories')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('brand_item_category', function (Blueprint $table) {
            $table->dropForeign('brand_item_category_brand_id_foreign');
            $table->dropForeign('brand_item_category_item_category_id_foreign');
        });

        Schema::dropIfExists('brand_item_category');
    }
}
