<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLedgersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ledgers', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();
            $table->string('name')->nullable();
            $table->string('alias')->nullable();
            $table->text('description')->nullable();

            $table->bigInteger('ledger_type_id')->unsigned()->nullable();
            $table->foreign('ledger_type_id')->references('id')->on('ledger_types')->onDelete('set null');

            $table->json('opening')->nullable();
            $table->json('current')->nullable();
            $table->json('on_account')->nullable();
            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ledgers', function (Blueprint $table) {
            $table->dropForeign('ledgers_ledger_type_id_foreign');
        });

        Schema::dropIfExists('ledgers');
    }
}
