<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVoucherDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('voucher_details', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('voucher_id')->unsigned()->nullable();
            $table->foreign('voucher_id')->references('id')->on('vouchers')->onDelete('cascade');

            $table->bigInteger('item_id')->unsigned()->nullable();
            $table->foreign('item_id')->references('id')->on('items')->onDelete('cascade');

            $table->string('item_name')->nullable();
            $table->string('unit_name')->nullable();
            $table->text('description')->nullable();
            $table->boolean('is_non_taxed')->default(0);
            $table->decimal('quantity', 25, 5)->default(0);
            $table->decimal('rate', 25, 5)->default(0);
            $table->json('discount')->nullable();
            $table->json('tax')->nullable();
            $table->decimal('amount', 25, 5)->default(0);

            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('voucher_details', function (Blueprint $table) {
            $table->dropForeign('voucher_details_voucher_id_foreign');
            $table->dropForeign('voucher_details_item_id_foreign');
        });

        Schema::dropIfExists('voucher_details');
    }
}
