<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockMatchesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_matches', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();
            $table->date('date')->nullable();

            $table->bigInteger('item_category_id')->unsigned()->nullable();
            $table->foreign('item_category_id')->references('id')->on('item_categories')->onDelete('cascade');

            $table->text('description')->nullable();

            $table->bigInteger('user_id')->unsigned()->nullable();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('stock_matches', function (Blueprint $table) {
            $table->dropForeign('stock_matches_item_category_id_foreign');
            $table->dropForeign('stock_matches_user_id_foreign');
        });

        Schema::dropIfExists('stock_matches');
    }
}
