<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockMatchDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_match_details', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('stock_match_id')->unsigned()->nullable();
            $table->foreign('stock_match_id')->references('id')->on('stock_matches')->onDelete('cascade');

            $table->bigInteger('item_id')->unsigned()->nullable();
            $table->foreign('item_id')->references('id')->on('items')->onDelete('cascade');

            $table->json('billed')->nullable();
            $table->json('actual')->nullable();
            $table->text('description')->nullable();
            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('stock_match_details', function (Blueprint $table) {
            $table->dropForeign('stock_match_details_stock_match_id_foreign');
            $table->dropForeign('stock_match_details_item_id_foreign');
        });

        Schema::dropIfExists('stock_match_details');
    }
}
