<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssembledItemPartsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('assembled_item_parts', function (Blueprint $table) {
            $table->id();
            $table->uuid('uuid')->nullable();

            $table->bigInteger('assembled_item_id')->unsigned()->nullable();
            $table->foreign('assembled_item_id')->references('id')->on('assembled_items')->onDelete('cascade');

            $table->bigInteger('item_category_id')->unsigned()->nullable();
            $table->foreign('item_category_id')->references('id')->on('item_categories')->onDelete('cascade');

            $table->string('name')->nullable();
            $table->json('meta')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('assembled_item_parts', function (Blueprint $table) {
            $table->dropForeign('assembled_item_parts_assembled_item_id_foreign');
            $table->dropForeign('assembled_item_parts_item_category_id_foreign');
        });

        Schema::dropIfExists('assembled_item_parts');
    }
}
