export default [
    {
        path: 'ledger-types',
        name: 'appAccountingLedgerType',
        redirect: { name: 'appAccountingLedgerTypeList' },
        meta: {
            title: 'accounting.ledger_type.ledger_types',
            hideChildren: true,
            permissions: ['manage-ledger-type']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appAccountingLedgerTypeList',
                meta: {
                    trans: 'global.list',
                    title: 'accounting.ledger_type.ledger_types',
                },
                component: () => import('@views/app/accounting/ledger-type/index' /* webpackChunkName: "app/accounting/ledger-type/index" */),
            },
            {
                path: 'add',
                name: 'appAccountingLedgerTypeAdd',
                meta: {
                    trans: 'global.add',
                    title: 'accounting.ledger_type.ledger_type',
                },
                component: () => import('@views/app/accounting/ledger-type/add' /* webpackChunkName: "app/accounting/ledger-type/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appAccountingLedgerTypeEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'accounting.ledger_type.ledger_type',
                },
                component: () => import('@views/app/accounting/ledger-type/edit' /* webpackChunkName: "app/accounting/ledger-type/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appAccountingLedgerTypeDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'accounting.ledger_type.ledger_type',
                },
                component: () => import('@views/app/accounting/ledger-type/edit' /* webpackChunkName: "app/accounting/ledger-type/edit" */),
            },
            {
                path: ':uuid',
                name: 'appAccountingLedgerTypeView',
                meta: {
                    trans: 'global.view',
                    title: 'accounting.ledger_type.ledger_type',
                },
                component: () => import('@views/app/accounting/ledger-type/view' /* webpackChunkName: "app/accounting/ledger-type/view" */ ),
            },
        ]
    },
]