export default [
    {
        path: 'ledger',
        name: 'appAccountingLedger',
        redirect: { name: 'appAccountingLedgerList' },
        meta: {
            title: 'accounting.ledger.ledgers',
            hideChildren: true,
            permissions: ['list-ledger', 'create-ledger', 'edit-ledger', 'access-ledger-config', 'access-ledger-report']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appAccountingLedgerList',
                meta: {
                    trans: 'global.list',
                    title: 'accounting.ledger.ledger',
                    permissions: ['list-ledger']
                },
                component: () => import('@views/app/accounting/ledger/index' /* webpackChunkName: "app/accounting/ledger/index" */),
            },


            {
                path: 'config',
                name: 'appAccountingLedgerConfig',
                redirect: { name: 'appAccountingLedgerConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-ledger-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/accounting/ledger/config/index' /* webpackChunkName: "app/accounting/ledger/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appAccountingLedgerConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/accounting/ledger/config/general' /* webpackChunkName: "app/accounting/ledger/config/general" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appAccountingLedgerAdd',
                meta: {
                    trans: 'global.add',
                    title: 'accounting.ledger.ledger',
                    permissions: ['create-ledger']
                },
                component: () => import('@views/app/accounting/ledger/add' /* webpackChunkName: "app/accounting/ledger/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appAccountingLedgerEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'accounting.ledger.ledger',
                    permissions: ['edit-ledger']
                },
                component: () => import('@views/app/accounting/ledger/edit' /* webpackChunkName: "app/accounting/ledger/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appAccountingLedgerDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'accounting.ledger.ledger',
                    permissions: ['create-ledger']
                },
                component: () => import('@views/app/accounting/ledger/edit' /* webpackChunkName: "app/accounting/ledger/edit" */),
            },
            {
                path: ':uuid/report',
                name: 'appAccountingLedgerReport',
                meta: {
                    trans: 'global.view',
                    title: 'accounting.ledger.ledger_report',
                    permissions: ['access-ledger-report']
                },
                component: () => import('@views/app/accounting/ledger/report' /* webpackChunkName: "app/accounting/ledger/report" */ ),
            },
            {
                path: ':uuid',
                name: 'appAccountingLedgerView',
                meta: {
                    trans: 'global.view',
                    title: 'accounting.ledger.ledger',
                    permissions: ['list-ledger']
                },
                component: () => import('@views/app/accounting/ledger/view' /* webpackChunkName: "app/accounting/ledger/view" */ ),
            },
        ]
    },
]
