export default [{
        path: 'contacts',
        name: 'appContact',
        redirect: {
            name: 'appContactList'
        },
        meta: {
            title: 'contact.contacts',
            icon: 'fas fa-address-card',
            hideChildren: true,
            permissions: ['list-contact', 'create-contact', 'edit-contact'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [{
                path: '',
                name: 'appContactList',
                meta: {
                    trans: 'global.list',
                    title: 'contact.contacts',
                    permissions: ['list-contact']
                },
                component: () => import('@views/app/contact/index' /* webpackChunkName: "app/contact/index" */ ),
            },
            {
                path: 'add',
                name: 'appContactAdd',
                meta: {
                    trans: 'global.add',
                    title: 'contact.contact',
                    permissions: ['create-contact']
                },
                component: () => import('@views/app/contact/add' /* webpackChunkName: "app/contact/add" */ ),
            },
            {
                path: ':uuid/edit',
                name: 'appContactEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'contact.contact',
                    permissions: ['edit-contact']
                },
                component: () => import('@views/app/contact/edit' /* webpackChunkName: "app/contact/edit" */ ),
            },
            {
                path: ':uuid/duplicate',
                name: 'appContactDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'contact.contact',
                    permissions: ['create-contact']
                },
                component: () => import('@views/app/contact/edit' /* webpackChunkName: "app/contact/edit" */ ),
            },
            {
                path: ':uuid',
                name: 'appContactView',
                meta: {
                    trans: 'global.view',
                    title: 'contact.contact',
                    permissions: ['list-contact']
                },
                component: () => import('@views/app/contact/view' /* webpackChunkName: "app/contact/view" */ ),
            },
        ]
    },
]