import system from './system';

// loading app routes
import purchase from './purchase'
import sale from './sale'
import transaction from './transaction'
import contact from './contact'
import accounting from './accounting'
import inventory from './inventory'
import report from './report'
import setting from './setting'

import user from './user'

import utility from './utility'

import config from './config'
import uiConfig from './ui-config'
import userPreference from './user-preference'
import activity from './activity'
import chat from './chat'

export default [
    {
        path: 'dashboard',
        name: 'appDashboard',
        meta: {
            title: 'dashboard.dashboard',
            description: '',
            icon: 'fas fa-home',
        },
        components: {
            header:  () => import('@views/app/dashboard/header' /* webpackChunkName: "app/dashboard/header" */),
            special:  () => import('@views/app/dashboard/index' /* webpackChunkName: "app/dashboard/index" */),
        },
    },
    {
        path: '',
        meta: {
            isHiddenNav: true,
        },
        components: {
            header:  () => import('@views/layouts/partials/app-common-page-header' /* webpackChunkName: "layouts/partials/app-common-page-header" */),
            default: { template: '<router-view></router-view>' },
        },
        children: [
            ...system,

            ...report,
            ...purchase,
            ...sale,
            ...transaction,
            ...contact,
            ...accounting,
            ...inventory,
            ...setting,

            ...user,

            ...utility,

            ...config,
            ...uiConfig,
            ...userPreference,
            ...activity,
            ...chat,
        ]
    },
]
