export default [
    {
        path: 'brands',
        name: 'appInventoryBrand',
        redirect: { name: 'appInventoryBrandList' },
        meta: {
            title: 'inventory.brand.brands',
            hideChildren: true,
            permissions: ['list-brand', 'create-brand', 'edit-brand'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appInventoryBrandList',
                meta: {
                    trans: 'global.list',
                    title: 'inventory.brand.brands',
                    permissions: ['list-brand']
                },
                component: () => import('@views/app/inventory/brand/index' /* webpackChunkName: "app/inventory/brand/index" */),
            },
            {
                path: 'add',
                name: 'appInventoryBrandAdd',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.brand.brand',
                    permissions: ['create-brand']
                },
                component: () => import('@views/app/inventory/brand/add' /* webpackChunkName: "app/inventory/brand/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appInventoryBrandEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'inventory.brand.brand',
                    permissions: ['edit-brand']
                },
                component: () => import('@views/app/inventory/brand/edit' /* webpackChunkName: "app/inventory/brand/edit" */),
            },
            {
                path: ':uuid',
                name: 'appInventoryBrandView',
                meta: {
                    trans: 'global.view',
                    title: 'inventory.brand.brand',
                    permissions: ['list-brand']
                },
                component: () => import('@views/app/inventory/brand/view' /* webpackChunkName: "app/inventory/brand/view" */),
            },
        ]
    },
]