export default [
    {
        path: 'item-categories',
        name: 'appInventoryItemCategory',
        redirect: { name: 'appInventoryItemCategoryList' },
        meta: {
            title: 'inventory.item_category.item_categories',
            hideChildren: true,
            permissions: ['list-item-category', 'create-item-category', 'edit-item-category']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appInventoryItemCategoryList',
                meta: {
                    trans: 'global.list',
                    title: 'inventory.item_category.item_categories',
                    permissions: ['list-item-category']
                },
                component: () => import('@views/app/inventory/item-category/index' /* webpackChunkName: "app/inventory/item-category/index" */),
            },
            {
                path: 'add',
                name: 'appInventoryItemCategoryAdd',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.item_category.item_category',
                    permissions: ['create-item-category']
                },
                component: () => import('@views/app/inventory/item-category/add' /* webpackChunkName: "app/inventory/item-category/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appInventoryItemCategoryEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'inventory.item_category.item_category',
                    permissions: ['edit-item-category']
                },
                component: () => import('@views/app/inventory/item-category/edit' /* webpackChunkName: "app/inventory/item-category/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appInventoryItemCategoryDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.item_category.item_category',
                    permissions: ['create-item-category']
                },
                component: () => import('@views/app/inventory/item-category/edit' /* webpackChunkName: "app/inventory/item-category/edit" */),
            },
            {
                path: ':uuid',
                name: 'appInventoryItemCategoryView',
                meta: {
                    trans: 'global.view',
                    title: 'inventory.item_category.item_category',
                    permissions: ['list-item-category']
                },
                component: () => import('@views/app/inventory/item-category/view' /* webpackChunkName: "app/inventory/item-category/view" */ ),
            },
        ]
    },
]