export default [
    {
        path: 'item',
        name: 'appInventoryItem',
        redirect: { name: 'appInventoryItemList' },
        meta: {
            title: 'inventory.item.items',
            hideChildren: true,
            permissions: ['list-item', 'create-item', 'edit-item', 'access-item-config', 'access-item-report']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appInventoryItemList',
                meta: {
                    trans: 'global.list',
                    title: 'inventory.item.item',
                    permissions: ['list-item']
                },
                component: () => import('@views/app/inventory/item/index' /* webpackChunkName: "app/inventory/item/index" */),
            },


            {
                path: 'config',
                name: 'appInventoryItemConfig',
                redirect: { name: 'appInventoryItemConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-item-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/inventory/item/config/index' /* webpackChunkName: "app/inventory/item/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appInventoryItemConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/inventory/item/config/general' /* webpackChunkName: "app/inventory/item/config/general" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appInventoryItemAdd',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.item.item',
                    permissions: ['create-item']
                },
                component: () => import('@views/app/inventory/item/add' /* webpackChunkName: "app/inventory/item/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appInventoryItemEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'inventory.item.item',
                    permissions: ['edit-item']
                },
                component: () => import('@views/app/inventory/item/edit' /* webpackChunkName: "app/inventory/item/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appInventoryItemDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.item.item',
                    permissions: ['create-item']
                },
                component: () => import('@views/app/inventory/item/edit' /* webpackChunkName: "app/inventory/item/edit" */),
            },
            {
                path: ':uuid/report',
                name: 'appInventoryItemReport',
                meta: {
                    trans: 'global.view',
                    title: 'inventory.item.item_report',
                    permissions: ['access-item-report']
                },
                component: () => import('@views/app/inventory/item/report' /* webpackChunkName: "app/inventory/item/report" */ ),
            },
            {
                path: ':uuid',
                name: 'appInventoryItemView',
                meta: {
                    trans: 'global.view',
                    title: 'inventory.item.item',
                    permissions: ['list-item']
                },
                component: () => import('@views/app/inventory/item/view' /* webpackChunkName: "app/inventory/item/view" */ ),
            },
        ]
    },
]
