export default [
    {
        path: 'stock-matches',
        name: 'appInventoryStockMatch',
        redirect: { name: 'appInventoryStockMatchList' },
        meta: {
            title: 'inventory.stock_match.stock_matches',
            hideChildren: true,
            permissions: ['list-stock-match', 'create-stock-match', 'edit-stock-match'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appInventoryStockMatchList',
                meta: {
                    trans: 'global.list',
                    title: 'inventory.stock_match.stock_matches',
                    permissions: ['list-stock-match']
                },
                component: () => import('@views/app/inventory/stock-match/index' /* webpackChunkName: "app/inventory/stock-match/index" */),
            },
            {
                path: 'add',
                name: 'appInventoryStockMatchAdd',
                meta: {
                    trans: 'global.add',
                    title: 'inventory.stock_match.stock_match',
                    permissions: ['create-stock-match']
                },
                component: () => import('@views/app/inventory/stock-match/add' /* webpackChunkName: "app/inventory/stock-match/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appInventoryStockMatchEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'inventory.stock_match.stock_match',
                    permissions: ['edit-stock-match']
                },
                component: () => import('@views/app/inventory/stock-match/edit' /* webpackChunkName: "app/inventory/stock-match/edit" */),
            },
            {
                path: ':uuid',
                name: 'appInventoryStockMatchView',
                meta: {
                    trans: 'global.view',
                    title: 'inventory.stock_match.stock_match',
                    permissions: ['list-stock-match']
                },
                component: () => import('@views/app/inventory/stock-match/view' /* webpackChunkName: "app/inventory/stock-match/view" */),
            },
        ]
    },
]
