import { getOptionRoutes } from '../config/module-config'

export default [
    {
        path: 'enquiries',
        name: 'appPurchaseEnquiry',
        redirect: { name: 'appPurchaseEnquiryList' },
        meta: {
            title: 'purchase.enquiry.enquiries',
            hideChildren: true,
            permissions: ['list-purchase-enquiry', 'create-purchase-enquiry', 'edit-purchase-enquiry']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appPurchaseEnquiryList',
                meta: {
                    trans: 'global.list',
                    title: 'purchase.enquiry.enquiries',
                    permissions: ['list-purchase-enquiry']
                },
                component: () => import('@views/app/purchase/enquiry/index' /* webpackChunkName: "app/purchase/enquiry/index" */),
            },


            {
                path: 'config',
                name: 'appPurchaseEnquiryConfig',
                redirect: { name: 'appPurchaseEnquiryConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-purchase-enquiry-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/purchase/enquiry/config/index' /* webpackChunkName: "app/purchase/enquiry/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appPurchaseEnquiryConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/purchase/enquiry/config/general' /* webpackChunkName: "app/purchase/enquiry/config/general" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appPurchaseEnquiryAdd',
                meta: {
                    trans: 'global.add',
                    title: 'purchase.enquiry.purchase_enquiry',
                    permissions: ['create-purchase-enquiry']
                },
                component: () => import('@views/app/purchase/enquiry/add' /* webpackChunkName: "app/purchase/enquiry/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appPurchaseEnquiryEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'purchase.enquiry.purchase_enquiry',
                    permissions: ['edit-purchase-enquiry']
                },
                component: () => import('@views/app/purchase/enquiry/edit' /* webpackChunkName: "app/purchase/enquiry/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appPurchaseEnquiryDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'purchase.enquiry.purchase_enquiry',
                    permissions: ['create-purchase-enquiry']
                },
                component: () => import('@views/app/purchase/enquiry/edit' /* webpackChunkName: "app/purchase/enquiry/edit" */),
            },
            {
                path: ':uuid',
                name: 'appPurchaseEnquiryView',
                meta: {
                    trans: 'global.view',
                    title: 'purchase.enquiry.purchase_enquiry',
                    permissions: ['list-purchase-enquiry']
                },
                component: () => import('@views/app/purchase/enquiry/view' /* webpackChunkName: "app/purchase/enquiry/view" */ ),
            },
        ]
    },
]
