import { getOptionRoutes } from '../config/module-config'

export default [{
        path: 'procurements',
        name: 'appPurchaseProcurement',
        redirect: {
            name: 'appPurchaseProcurementList'
        },
        meta: {
            title: 'purchase.procurement.procurements',
            hideChildren: true,
            permissions: ['list-procurement', 'create-procurement', 'edit-procurement'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [{
                path: '',
                name: 'appPurchaseProcurementList',
                meta: {
                    trans: 'global.list',
                    title: 'purchase.procurement.procurements',
                    permissions: ['list-procurement']
                },
                component: () => import('@views/app/purchase/procurement/index' /* webpackChunkName: "app/purchase/procurement/index" */ ),
            },


            {
                path: 'config',
                name: 'appPurchaseProcurementConfig',
                redirect: { name: 'appPurchaseProcurementConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-procurement-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/purchase/procurement/config/index' /* webpackChunkName: "app/purchase/procurement/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appPurchaseProcurementConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/purchase/procurement/config/general' /* webpackChunkName: "app/purchase/procurement/config/general" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appPurchaseProcurementAdd',
                meta: {
                    trans: 'global.add',
                    title: 'purchase.procurement.procurement',
                    permissions: ['create-procurement']
                },
                component: () => import('@views/app/purchase/procurement/add' /* webpackChunkName: "app/purchase/procurement/add" */ ),
            },
            {
                path: ':uuid/edit',
                name: 'appPurchaseProcurementEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'purchase.procurement.procurement',
                    permissions: ['edit-procurement']
                },
                component: () => import('@views/app/purchase/procurement/edit' /* webpackChunkName: "app/purchase/procurement/edit" */ ),
            },
            {
                path: ':uuid/duplicate',
                name: 'appPurchaseProcurementDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'purchase.procurement.procurement',
                    permissions: ['create-procurement']
                },
                component: () => import('@views/app/purchase/procurement/edit' /* webpackChunkName: "app/purchase/procurement/edit" */ ),
            },
            {
                path: ':uuid',
                name: 'appPurchaseProcurementView',
                meta: {
                    trans: 'global.view',
                    title: 'purchase.procurement.procurement',
                    permissions: ['list-procurement']
                },
                component: () => import('@views/app/purchase/procurement/view' /* webpackChunkName: "app/purchase/procurement/view" */ ),
            },
        ]
    },
]
