export default [{
        path: 'reports',
        name: 'appReport',
        redirect: { name: 'appReportDaybook' },
        meta: {
            title: 'accounting.report.reports',
            icon: 'fas fa-chart-bar',
            permissions: ['access-daybook-report', 'access-ledger-report', 'access-item-report'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: 'daybook',
                name: 'appReportDaybook',
                meta: {
                    title: 'accounting.report.daybook',
                    permissions: ['access-daybook-report']
                },
                component: () => import('@views/app/report/daybook' /* webpackChunkName: "app/report/daybook" */),
            },
            {
                path: 'ledger',
                name: 'appReportLedger',
                meta: {
                    title: 'accounting.ledger.ledger_report',
                    permissions: ['access-ledger-report']
                },
                component: () => import('@views/app/report/ledger' /* webpackChunkName: "app/report/ledger" */),
            },
            {
                path: 'item',
                name: 'appReportItem',
                meta: {
                    title: 'inventory.item.item_report',
                    permissions: ['access-item-report']
                },
                component: () => import('@views/app/report/item' /* webpackChunkName: "app/report/item" */),
            },
        ]
    },
];
