import { getOptionRoutes } from '../config/module-config'

export default [
    {
        path: 'enquiries',
        name: 'appSaleEnquiry',
        redirect: { name: 'appSaleEnquiryList' },
        meta: {
            title: 'sale.enquiry.enquiries',
            hideChildren: true,
            permissions: ['list-sale-enquiry', 'create-sale-enquiry', 'edit-sale-enquiry']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appSaleEnquiryList',
                meta: {
                    trans: 'global.list',
                    title: 'sale.enquiry.enquiries',
                    permissions: ['list-sale-enquiry']
                },
                component: () => import('@views/app/sale/enquiry/index' /* webpackChunkName: "app/sale/enquiry/index" */),
            },


            {
                path: 'config',
                name: 'appSaleEnquiryConfig',
                redirect: { name: 'appSaleEnquiryConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-sale-enquiry-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/sale/enquiry/config/index' /* webpackChunkName: "app/sale/enquiry/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appSaleEnquiryConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/sale/enquiry/config/general' /* webpackChunkName: "app/sale/enquiry/config/general" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appSaleEnquiryAdd',
                meta: {
                    trans: 'global.add',
                    title: 'sale.enquiry.sale_enquiry',
                    permissions: ['create-sale-enquiry']
                },
                component: () => import('@views/app/sale/enquiry/add' /* webpackChunkName: "app/sale/enquiry/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appSaleEnquiryEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'sale.enquiry.sale_enquiry',
                    permissions: ['edit-sale-enquiry']
                },
                component: () => import('@views/app/sale/enquiry/edit' /* webpackChunkName: "app/sale/enquiry/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appSaleEnquiryDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'sale.enquiry.sale_enquiry',
                    permissions: ['create-sale-enquiry']
                },
                component: () => import('@views/app/sale/enquiry/edit' /* webpackChunkName: "app/sale/enquiry/edit" */),
            },
            {
                path: ':uuid',
                name: 'appSaleEnquiryView',
                meta: {
                    trans: 'global.view',
                    title: 'sale.enquiry.sale_enquiry',
                    permissions: ['list-sale-enquiry']
                },
                component: () => import('@views/app/sale/enquiry/view' /* webpackChunkName: "app/sale/enquiry/view" */ ),
            },
        ]
    },
]
