export default [
    {
        path: 'margins',
        name: 'appSettingMargin',
        redirect: { name: 'appSettingMarginList' },
        meta: {
            title: 'setting.margin.margins',
            hideChildren: true,
            permissions: ['manage-margin'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appSettingMarginList',
                meta: {
                    trans: 'global.list',
                    title: 'setting.margin.margins',
                    permissions: ['manage-margin']
                },
                component: () => import('@views/app/setting/margin/index' /* webpackChunkName: "app/setting/margin/index" */),
            },
            {
                path: 'add',
                name: 'appSettingMarginAdd',
                meta: {
                    trans: 'global.add',
                    title: 'setting.margin.margin',
                    permissions: ['manage-margin']
                },
                component: () => import('@views/app/setting/margin/add' /* webpackChunkName: "app/setting/margin/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appSettingMarginEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'setting.margin.margin',
                    permissions: ['manage-margin']
                },
                component: () => import('@views/app/setting/margin/edit' /* webpackChunkName: "app/setting/margin/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appSettingMarginDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'setting.margin.margin',
                    permissions: ['manage-margin']
                },
                component: () => import('@views/app/setting/margin/edit' /* webpackChunkName: "app/setting/margin/edit" */),
            },
            {
                path: ':uuid',
                name: 'appSettingMarginView',
                meta: {
                    trans: 'global.view',
                    title: 'setting.margin.margin',
                    permissions: ['manage-margin']
                },
                component: () => import('@views/app/setting/margin/view' /* webpackChunkName: "app/setting/margin/view" */),
            },
        ]
    },
]
