export default [
    {
        path: 'taxes',
        name: 'appSettingTax',
        redirect: { name: 'appSettingTaxList' },
        meta: {
            title: 'setting.tax.taxes',
            hideChildren: true,
            permissions: ['manage-tax'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appSettingTaxList',
                meta: {
                    trans: 'global.list',
                    title: 'setting.tax.taxes',
                    permissions: ['manage-tax']
                },
                component: () => import('@views/app/setting/tax/index' /* webpackChunkName: "app/setting/tax/index" */),
            },
            {
                path: 'add',
                name: 'appSettingTaxAdd',
                meta: {
                    trans: 'global.add',
                    title: 'setting.tax.tax',
                    permissions: ['manage-tax']
                },
                component: () => import('@views/app/setting/tax/add' /* webpackChunkName: "app/setting/tax/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appSettingTaxEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'setting.tax.tax',
                    permissions: ['manage-tax']
                },
                component: () => import('@views/app/setting/tax/edit' /* webpackChunkName: "app/setting/tax/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appSettingTaxDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'setting.tax.tax',
                    permissions: ['manage-tax']
                },
                component: () => import('@views/app/setting/tax/edit' /* webpackChunkName: "app/setting/tax/edit" */),
            },
        ]
    },
]