export default [
    {
        path: 'units',
        name: 'appSettingUnit',
        redirect: { name: 'appSettingUnitList' },
        meta: {
            title: 'setting.unit.units',
            hideChildren: true,
            permissions: ['manage-unit'],
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appSettingUnitList',
                meta: {
                    trans: 'global.list',
                    title: 'setting.unit.units',
                    permissions: ['manage-unit']
                },
                component: () => import('@views/app/setting/unit/index' /* webpackChunkName: "app/setting/unit/index" */),
            },
            {
                path: 'add',
                name: 'appSettingUnitAdd',
                meta: {
                    trans: 'global.add',
                    title: 'setting.unit.unit',
                    permissions: ['manage-unit']
                },
                component: () => import('@views/app/setting/unit/add' /* webpackChunkName: "app/setting/unit/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appSettingUnitEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'setting.unit.unit',
                    permissions: ['manage-unit']
                },
                component: () => import('@views/app/setting/unit/edit' /* webpackChunkName: "app/setting/unit/edit" */),
            },
        ]
    },
]