// import { getOptionRoutes } from './config/module-config'

export default [
    {
        path: 'transactions',
        name: 'appTransaction',
        redirect: { name: 'appTransactionList' },
        meta: {
            title: 'transaction.transactions',
            icon: 'fas fa-hand-holding-usd',
            hideChildren: true,
            permissions: ['list-transaction', 'create-transaction', 'edit-transaction', 'access-transaction-config']
        },
        component: {
            template: '<router-view></router-view>'
        },
        children: [
            {
                path: '',
                name: 'appTransactionList',
                meta: {
                    trans: 'global.list',
                    title: 'transaction.transactions',
                    permissions: ['list-transaction']
                },
                component: () => import('@views/app/transaction/index' /* webpackChunkName: "app/transaction/index" */),
            },


            {
                path: 'config',
                name: 'appTransactionConfig',
                redirect: { name: 'appTransactionConfigGeneral' },
                meta: {
                    title: 'config.config',
                    permissions: ['access-transaction-config'],
                    isConfigRoute: true,
                },
                component: () => import('@views/app/transaction/config/index' /* webpackChunkName: "app/transaction/config/index" */ ),
                children: [{
                        path: '',
                        name: 'appTransactionConfigGeneral',
                        meta: {
                            title: 'config.general',
                        },
                        component: () => import('@views/app/transaction/config/general' /* webpackChunkName: "app/transaction/config/general" */ ),
                    }, {
                        path: 'print',
                        name: 'appTransactionConfigPrint',
                        meta: {
                            title: 'config.print.print',
                        },
                        component: () => import('@views/app/transaction/config/print' /* webpackChunkName: "app/transaction/config/print" */ ),
                    },
                ]
            },


            {
                path: 'add',
                name: 'appTransactionAdd',
                meta: {
                    trans: 'global.add',
                    title: 'transaction.transaction',
                    permissions: ['create-transaction']
                },
                component: () => import('@views/app/transaction/add' /* webpackChunkName: "app/transaction/add" */),
            },
            {
                path: ':uuid/edit',
                name: 'appTransactionEdit',
                meta: {
                    trans: 'global.edit',
                    title: 'transaction.transaction',
                    permissions: ['edit-transaction']
                },
                component: () => import('@views/app/transaction/edit' /* webpackChunkName: "app/transaction/edit" */),
            },
            {
                path: ':uuid/duplicate',
                name: 'appTransactionDuplicate',
                meta: {
                    trans: 'global.add',
                    title: 'transaction.transaction',
                    permissions: ['create-transaction']
                },
                component: () => import('@views/app/transaction/edit' /* webpackChunkName: "app/transaction/edit" */),
            },
            {
                path: ':uuid',
                name: 'appTransactionView',
                meta: {
                    trans: 'global.view',
                    title: 'transaction.transaction',
                    permissions: ['list-transaction']
                },
                component: () => import('@views/app/transaction/view' /* webpackChunkName: "app/transaction/view" */ ),
            },
        ]
    },
]
